#ifndef VIEW_OPEN_BROWSER_H
#define VIEW_OPEN_BROWSER_H

#include "../project_lib.h"
#include "view_about.h"
#ifdef WEBKIT_FOUND
#include <webkit2/webkit2.h>
#endif
#include "../var.h"

class View_open_browser {
private:
    bool flag_open_browser = false;
    View_about* obj_view_about;
private:
    Glib::RefPtr<Gtk::Builder> builder;
    Gtk::Button *btnReadHelp;
    Gtk::Button *btnCancelHelp;
    Gtk::CheckButton *chkAlwaysOpenHelp;
    Gtk::Label *lblwebHeaderName;
    Gtk::Label *lblhelpText;
    Gtk::Label *lblhelpHeader;
    Gtk::Label *lblHeadeWndWeb;
public:
    string global_lick_doc;
    Gtk::Window *wndShowWeb;
    #ifdef WEBKIT_FOUND
        Gtk::Window *wndWeb;
        Gtk::Widget *three;
        WebKitWebView *my_web_kit = NULL;
    #endif
public:
    View_open_browser(/* args */);
    ~View_open_browser();
    void lacalization();
    void event();
    void get_builder();
    void settings();
    void show();
    void open_help();
    void temp_help_show();
    void set_path_glade(string str_path_glade);
    void set_obj_about(View_about* View_about);
    View_about* get_about();
private:
    int template_open_browser(string str_link_doc);
    void open_browser();
};
void wrapper_help_show(GtkWidget *self, char* link, gpointer user_data);
#endif